Loading...
Searching...
No Matches
Opm::FvBasePrimaryVariables< TypeTag > Class Template Reference

Represents the primary variables used by the a model. More...

`#include <fvbaseprimaryvariables.hh>`

Inheritance diagram for Opm::FvBasePrimaryVariables< TypeTag >:

## Public Member Functions

| FvBasePrimaryVariables (const FvBasePrimaryVariables &value)=default
| Assignment from another primary variables object.
FvBasePrimaryVariables & | operator= (const FvBasePrimaryVariables &value)=default
| Assignment from another primary variables object.
Evaluation | makeEvaluation (unsigned varIdx, unsigned timeIdx, LinearizationType linearizationType=LinearizationType()) const
| Return a primary variable intensive evaluation.
template<class FluidState>
void | assignNaive (const FluidState &)
| Assign the primary variables "somehow" from a fluid state.
void | checkDefined () const
| Instruct valgrind to check the definedness of all attributes of this class.

## Static Public Member Functions

static void | init ()
| < Import base class assignment operators.
static void | registerParameters ()

## Detailed Description

template<class TypeTag>
class Opm::FvBasePrimaryVariables< TypeTag >

Represents the primary variables used by the a model.

## Member Function Documentation

## assignNaive()

template<class TypeTag>
template<class FluidState>

void Opm::FvBasePrimaryVariables< TypeTag >::assignNaive | ( | const FluidState & |  | ) |

inline

Assign the primary variables "somehow" from a fluid state.

That is without considering any consistency issues which the fluid state might have. This method is guaranteed to produce consistent results if the fluid state is consistent to the properties at a given spatial location. (Where "consistent results" means that the same fluid state can be reconstructed from the primary variables.)

## makeEvaluation()

template<class TypeTag>

Evaluation Opm::FvBasePrimaryVariables< TypeTag >::makeEvaluation | ( | unsigned | varIdx,
|  | unsigned | timeIdx,
|  | LinearizationType | linearizationType = LinearizationType() ) const

inline

Return a primary variable intensive evaluation.

i.e., the result represents the function f = x_i if the time index is zero, else it represents the a constant f = x_i. (the difference is that in the first case, the derivative w.r.t. x_i is 1, while it is 0 in the second case.

The documentation for this class was generated from the following file:

- opm/models/discretization/common/fvbaseprimaryvariables.hh